#!/bin/sh

echo "~> Grabbing a random image from unsplash.com..."

mkdir -p /mnt/etc/wallpapers/

for tag in {forest,ocean,sky}; do
    wget $(curl https://unsplash.com/search/photos/$tag | grep -oE 'content="http://images.unsplash.com/photo-([a-zA-Z0-9_\\-]*)' | sed -e 's/content="//g' | shuf -n 1) -O /mnt/etc/wallpapers/$tag-$(uuidgen).jpg
done

amf_return=0
